{ pkgs, ... }:
{
  environment.systemPackages = [
    pkgs.chafa
    pkgs.evince
    pkgs.feh
    pkgs.freerdp
    pkgs.gcr
    #pkgs.geeqie
    pkgs.ghostty
    pkgs.gimp3
    #pkgs.gimp-with-plugins
    pkgs.google-chrome
    pkgs.gv
    pkgs.inkscape
    pkgs.kdePackages.okular
    pkgs.libreoffice
    pkgs.libva-utils
    pkgs.mako
    pkgs.mesa-demos
    pkgs.polkit_gnome
    pkgs.rdesktop
    pkgs.read-edid
    pkgs.slurp
    pkgs.st
    pkgs.swayimg
    pkgs.sxiv
    pkgs.vdpauinfo
    pkgs.vulkan-tools
    pkgs.wireshark
    pkgs.xclip
    pkgs.xdotool
    pkgs.appres
    pkgs.editres
    pkgs.xdpyinfo
    pkgs.xev
    pkgs.xsnow
    pkgs.xterm
  ];

  programs = {
    dconf.enable = true;

    firefox = {
      enable = true;
      #package = pkgs.master.firefox;
    };

    #gamemode.enable = true;
    #steam.gamescopeSession.enable = true;
  };

  security.pam.loginLimits = [
    { domain = "@users"; item = "rtprio"; type = "-"; value = 1; }
  ];

  services = {
    blueman.enable = true;
    libinput.enable = true;
    printing.enable = true;
  };

  systemd.user.services.polkit-gnome-authentication-agent-1 = {
    after = [ "graphical-session.target" ];
    description = "polkit-gnome-authentication-agent-1";
    serviceConfig = {
      Type = "simple";
      ExecStart = "${pkgs.polkit_gnome}/libexec/polkit-gnome-authentication-agent-1";
      Restart = "on-failure";
      RestartSec = 1;
      TimeoutStopSec = 10;
    };
    wantedBy = [ "graphical-session.target" ];
    wants = [ "graphical-session.target" ];
  };
}
